<?php

$content = api_query('https://' . $server . '/manager/ispmgr?func=diraccess&out=xml&auth=' . urlencode($_SESSION['auth']));
$parse_xml = simplexml_load_string($content);

echo '<div class="menu"><img src="images/t-new.png" alt="." /><a href="?func=diraccess.edit">Защитить новую директорию</a>' . "\n";
echo '</div>' . "\n";

foreach($parse_xml->elem as $var) {
    echo '<div class="post"><b>Путь:</b> ' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '&raquo; <a href="?func=diraccess.user&amp;elid=' . urlencode((string)$var->name) . '">Пользователи</a><br />' . "\n";
    echo '&raquo; <a href="?func=diraccess.delete&amp;elid=' . urlencode((string)$var->name) . '">Снять защиту</a>' . "\n";
    echo '</div>' . "\n";
}

echo '<div class="menu"><img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";

?>